Index: code/branches/Hover_FS18/data/levels/Hover.oxw
===================================================================
--- code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11970)
+++ code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11971)
@@ -33,13 +33,5 @@
   >
 
-<StaticEntity position="0, 0, 0" collisionType = "none">
-<attached>
-<Model mesh="hover_level.mesh" scale="200"/>
-</attached>
-<collisionShapes>
-<BoxCollisionShape position="-822.0, 2372.286, 190.15" halfExtents="100.0, 0.0, 100.0" />
-<BoxCollisionShape position="-1472.0, 1190.204, 2450.828" halfExtents="139.999, 0.0, 140.0" />
-   </collisionShapes>
-</StaticEntity>
+
     <StaticEntity position="0,0,0" collisionType="static">
       <!-- <attached>
@@ -51,8 +43,12 @@
     
       </attached> -->
+      <attached>
+<Model mesh="hover_level.mesh" scale="200"/>
+</attached>
       <collisionShapes>
-        
       
-<!--<BoxCollisionShape position="-1020.0, 2572.286, -1122.528" halfExtents="1600.0, 200.0, 80.0" />
+<!--Ebene 1-->    
+<!--
+<BoxCollisionShape position="-1020.0, 2572.286, -1122.528" halfExtents="1600.0, 200.0, 80.0" />
 <BoxCollisionShape position="500.0, 2572.286, 397.472" halfExtents="80.0, 200.0, 1600.0" />
 <BoxCollisionShape position="-2544.0, 2572.286, 397.472" halfExtents="76.0, 200.0, 1600.0" />
@@ -76,4 +72,7 @@
 <BoxCollisionShape position="-1620.0, 2572.286, -139.528" halfExtents="65.625, 200.0, 463.0" />
 <BoxCollisionShape position="-1920.0, 2572.286, 263.472" halfExtents="365.625, 200.0, 60.0" />
+-->
+<!--Ebene 2-->
+<!--
 <BoxCollisionShape position="2310.0, 1384.082, 873.574" halfExtents="106.4, 200.0, 2240.0" />
 <BoxCollisionShape position="176.0, 1384.082, 3001.574" halfExtents="2239.999, 200.0, 112.0" />
@@ -96,4 +95,7 @@
 <BoxCollisionShape position="-1282.0, 1384.082, -548.626" halfExtents="98.25, 200.0, 605.0" />
 <BoxCollisionShape position="-584.0, 1384.082, -366.126" halfExtents="600.0, 200.0, 112.5" />
+-->
+<!--Ebene 3-->
+
 <BoxCollisionShape position="0.0, 200.0, 2799.765" halfExtents="2900.0, 200.0, 100.235" />
 <BoxCollisionShape position="-2814.0, 200.0, 0.0" halfExtents="85.244, 200.0, 2900.0" />
@@ -118,24 +120,61 @@
 <BoxCollisionShape position="-786.0, 200.0, -1423.538" halfExtents="102.982, 200.0, 600.0" />
 <BoxCollisionShape position="294.0, 200.0, -296.027" halfExtents="78.744, 200.0, 412.175" />
+
+<!--Roehre 1-->
+<!--
 <BoxCollisionShape position="-822.0, 1856.1, 80.15" halfExtents="120.0, 516.186, 10.0" />
 <BoxCollisionShape position="-712.0, 1856.1, 190.15" halfExtents="10.0, 516.186, 120.0" />
 <BoxCollisionShape position="-822.0, 1856.1, 300.15" halfExtents="120.0, 516.186, 10.0" />
 <BoxCollisionShape position="-932.0, 1856.1, 190.15" halfExtents="10.0, 516.186, 120.0" />
+-->
+<!--Roehre 2-->
+<!--
 <BoxCollisionShape position="-1472.0, 752.929, 2300.828" halfExtents="160.0, 437.275, 10.0" />
 <BoxCollisionShape position="-1622.0, 752.929, 2450.828" halfExtents="10.001, 437.275, 160.0" />
 <BoxCollisionShape position="-1472.0, 752.929, 2600.828" halfExtents="160.0, 437.275, 10.0" />
 <BoxCollisionShape position="-1322.0, 752.929, 2450.828" halfExtents="10.0, 437.275, 160.0" />
-<BoxCollisionShape position="-402.0, 1220.598, 603.512" halfExtents="1, 20.0, 1" />-->
+-->
+<!--Rampe 1-->
+<!--
+<BoxCollisionShape position="-402.0, 1220.598, 603.512" halfExtents="140.0, 20.0, 140.0" />
 <BoxCollisionShape position="-402.0, 564.133, -836.488" halfExtents="140.0, 676.465, 1300.0" />
+-->
+<!--Rampe 2-->
+<!--
 <BoxCollisionShape position="1080.0, 1792.286, -802.528" halfExtents="799.999, 620.0, 100.0" />
 <BoxCollisionShape position="180.0, 2392.286, -802.528" halfExtents="100.0, 20.0, 100.0" />
+-->
+<!--Boden 2-->
 <BoxCollisionShape position="176.0, 1174.082, 873.574" halfExtents="2239.999, 0.01, 2240.0" />
-<BoxCollisionShape position="-1020.0, 2362.286, 397.472" halfExtents="1600.0, 0.01, 1600.0" />
-<BoxCollisionShape position="0.0, -10, 0.0" halfExtents="2900.0, 0.01, 2900.0" />
+<!--Boden 1-->
+<!--<BoxCollisionShape position="-1020.0, 2371.856, 397.472" halfExtents="1600.0, 0.001, 1600.0" />-->
+<BoxCollisionShape position="-1019.9999999999999, 2372.285, -566.189" halfExtents="1600.0, 0.001, 636.3389999999999" />
+<BoxCollisionShape position="-1019.9999999999999, 2372.285, 1153.811" halfExtents="1600.0, 0.001, 843.661" />
+<BoxCollisionShape position="-1782.0, 2372.285, 190.15" halfExtents="839.2150000000001, 0.001, 120.0" />
+<BoxCollisionShape position="-640.0, 2372.285, 1221.218" halfExtents="61.329, 0.001, 1151.068" />
+
+<!--Boden 3-->
+<BoxCollisionShape position="0.0, -10.0, 0.0" halfExtents="2900.0, 0.01, 2900.0" />
+
+        
+  
 
 
 </collisionShapes>
- </StaticEntity>
-
+<StaticEntity position="0, 0, 0" collisionType = "none">
+
+<collisionShapes>
+<BoxCollisionShape position="-822.0, 1885.286, 190.15" halfExtents="100.0, 486.571, 100.0" />
+<BoxCollisionShape position="-1472.0, 752.929 , 2450.828" halfExtents="140.0, 429.111, 140.0" />
+   </collisionShapes>
+</StaticEntity>
+
+
+
+
+
+
+
+    </StaticEntity>
 
     <Light
@@ -149,6 +188,6 @@
     <SpawnPoint
       team=0
-      position="0,0,0"
-      lookat="10,0,10"
+      position="-1020,2372,398"
+      lookat="100,0, 0"
       spawnclass=HoverShip
       pawndesign=spaceshiphover
@@ -158,2 +197,6 @@
 </Level>
 
+
+
+        
+      
Index: code/branches/Hover_FS18/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/Hover_FS18/data/levels/templates/spaceshipHover.oxt	(revision 11970)
+++ code/branches/Hover_FS18/data/levels/templates/spaceshipHover.oxt	(revision 11971)
@@ -18,5 +18,5 @@
    reloadwaittime      = 0.5
 
-   primaryThrust     = 200
+   primaryThrust     = 4000
    auxilaryThrust    = 30
    rotationThrust    = 25