Index: code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw
===================================================================
--- code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw	(revision 11974)
+++ code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw	(revision 11975)
@@ -49,22 +49,4 @@
 
     <OrxyRoadCenterPoint name=invadercenter />
-  
-  <!--
-
-  <StaticEntity position="0,-50,0" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
-      <attached>
-        <Model position="0,0,0" mesh="plane.mesh" scale3D="100000,0,100000" />
-      </attached>
-
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="1,1,1" />
-      </collisionShapes>
-
-  </StaticEntity>
-    
-  -->
-    
-    
-    
     
   </Scene>
Index: code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt
===================================================================
--- code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt	(revision 11974)
+++ code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt	(revision 11975)
@@ -93,28 +93,28 @@
 
 
-<Template name=spacecruiser>
+<Template name=spaceshuttle>
 
-	<OrxyRoadCube position="0,0,0" direction="0,0,0"   scale="1" roll=90 pitch=-90  collisionType=dynamic mass=1 friction=0.01 >
+	<OrxyRoadCube position="0,0,0" direction="0,0,0"   scale="1" roll=0 pitch=0   collisionType=dynamic mass=1 friction=0.01 >
       <attached>
-        <Model position="0,0,0" 		mesh="spacecruiser.mesh" 		scale="10" 	/>
+        <Model position="0,0,0" 		mesh="Transporterspaceship.mesh" 		scale="10" 	/>
 		
       </attached>
       <collisionShapes>
-      <BoxCollisionShape position="0,-5,2"     halfExtents="38,6,62" />
-      <BoxCollisionShape position="0,5,2"      halfExtents="20,6,40" />
-      <BoxCollisionShape position="-16,-10,-2" halfExtents="15,5,57" roll=-14 pitch=3.5 />
-      <BoxCollisionShape position="16,-10,-2"  halfExtents="15,5,57" roll=14  pitch=3.5 />
-      <BoxCollisionShape position="19,3.5,2"   halfExtents="18,5,52" roll=-21 />
-      <BoxCollisionShape position="-19,4.5,2"  halfExtents="18,5,52" roll=21  />
-      <BoxCollisionShape position="0,4,-59"    halfExtents="18,1,16" pitch=-30 />
-
-      scale="10"
-
-    </collisionShapes>
+      	<BoxCollisionShape position=" 0, 0, 20"      halfExtents=" 37, 25, 80" />
+      	<BoxCollisionShape position=" 0, 21, 20"      halfExtents=" 37, 21, 80" />
+      	<BoxCollisionShape position=" 0, 40, 110"      halfExtents=" 20, 10, 40" />
+	    <BoxCollisionShape position=" 0, 45, 170"      halfExtents=" 33, 25, 20" />
+	    <BoxCollisionShape position=" -60, 33, 0"      halfExtents=" 24, 16, 120" />
+	    <BoxCollisionShape position=" 60, 33, 0"      halfExtents=" 24, 16, 120" />
+	    <BoxCollisionShape position=" 0, 10, -90"      halfExtents=" 30, 25, 30" />
+	    <BoxCollisionShape position=" 0, -3, -145"      halfExtents=" 20, 20, 30" />
+	   </collisionShapes>
 	</OrxyRoadCube>
 
 </Template>
 
-<Template name=asteroid>
+
+
+<Template name=asteroid1>
 	
 	<OrxyRoadCube position="0,0,0" direction="0,0,0"   scale="1" collisionType=dynamic mass=1 friction=0.01 >
@@ -131,2 +131,32 @@
 
 
+<Template name=asteroid2>
+	
+	<OrxyRoadCube position="0,0,0" direction="0,0,0"   scale="1" collisionType=dynamic mass=1 friction=0.01 >
+	<attached>
+      <Model position="0,0,0" 		mesh="ast2.mesh" 		scale="50" 	/>
+    </attached>
+    <collisionShapes>
+      <SphereCollisionShape radius="30" />
+    </collisionShapes>
+	</OrxyRoadCube>
+
+</Template>
+
+
+
+<Template name=satellite>
+
+	<OrxyRoadCube position="0,0,0" direction="0,0,0"   scale="1" collisionType=dynamic mass=1 friction=0.01 >
+	<attached>
+      <Model position="0,0,0" yaw="90" pitch="-90" roll="0" scale="30" mesh="satellite.mesh" />
+    </attached>
+    <collisionShapes>
+      	<BoxCollisionShape position="0,0,0" halfExtents="30,30,30" /> 
+    </collisionShapes>
+	</OrxyRoadCube>
+
+</Template>
+
+
+
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11974)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11975)
@@ -117,14 +117,14 @@
                         case 0 :
                             if(templateType >=1){
-                                cube->addTemplate("asteroid");//default
+                                cube->addTemplate("asteroid1");//default
                             }else {
-                                cube->addTemplate("asteroid");//default
+                                cube->addTemplate("satellite");//default
                             }
                         break;
                         case 1:
                          if(templateType >=1){
-                                cube->addTemplate("asteroid");//spaceship1
+                                cube->addTemplate("spaceshuttle");//spaceship1
                             }else {
-                                cube->addTemplate("spacecruiser");//spaceship2
+                                cube->addTemplate("spaceshuttle");//spaceship2
                             }                        
                             
@@ -133,7 +133,7 @@
                         case 2: 
                             if(templateType >=1){
-                                cube->addTemplate("asteroid");//satellite
+                                cube->addTemplate("satellite");//satellite
                             }else {
-                                cube->addTemplate("spacecruiser");//satellite
+                                cube->addTemplate("satellite");//satellite
                             }                      
 
@@ -142,7 +142,7 @@
                         case 3: 
                             if(templateType >=1){
-                                cube->addTemplate("asteroid");//asteroid
+                                cube->addTemplate("asteroid1");//asteroid
                             }else {
-                                cube->addTemplate("spacecruiser");//asteroid
+                                cube->addTemplate("asteroid2");//asteroid
                             }                      
 