Index: /code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11976)
+++ /code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11977)
@@ -214,5 +214,5 @@
   </StaticEntity>
 
-<StaticEntity position="10000,-70,200" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+<StaticEntity position="11000,-60,200" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
     <attached>
       <Model scale="20" mesh="Board2.mesh" />
@@ -498,28 +498,31 @@
       </attached>
       <controller>
-        <ArrowController accuracy = 5000>
+        <ArrowController accuracy = 10000>
           <gpspoints>
             <Model mesh="cube.mesh" scale=0 position="1000,30,0"/>
             <Model mesh="cube.mesh" scale=0 position="3000,200,100"/>
-            <Model mesh="cube.mesh" scale=0 position="5000,100,500"/>
+            <Model mesh="cube.mesh" scale=0 position="5000,80,500"/>
             <Model mesh="cube.mesh" scale=0 position="8000,-150,150"/>
-            <Model mesh="cube.mesh" scale=0 position="10000,-200,200"/>
-            <Model mesh="cube.mesh" scale=0 position="13000,200,400"/>
-            <Model mesh="cube.mesh" scale=0 position="15000,0,0"/>
+            <Model mesh="cube.mesh" scale=0 position="11000,-200,200"/>
+            <Model mesh="cube.mesh" scale=0 position="13000,-70,350"/>
+            <Model mesh="cube.mesh" scale=0 position="15500,0,0"/>
             <Model mesh="cube.mesh" scale=0 position="18000,150,-150"/>
             <Model mesh="cube.mesh" scale=0 position="21000,200,-120"/>
             <Model mesh="cube.mesh" scale=0 position="24000,-150,-80"/>
             <Model mesh="cube.mesh" scale=0 position="27000,-200,0"/>
-            <Model mesh="cube.mesh" scale=0 position="30000,-300,900"/>
-            <Model mesh="cube.mesh" scale=0 position="33000,600,60"/>
-            <Model mesh="cube.mesh" scale=0 position="35000,120,20"/>
-            <Model mesh="cube.mesh" scale=0 position="38000,-200,0"/>
+            <Model mesh="cube.mesh" scale=0 position="30000,-250,670"/>
+            <Model mesh="cube.mesh" scale=0 position="33000,150,600"/>
+            <Model mesh="cube.mesh" scale=0 position="35000,500,300"/>
+            <Model mesh="cube.mesh" scale=0 position="38000,150,150"/>
             <Model mesh="cube.mesh" scale=0 position="41000,30,-50"/>
             <Model mesh="cube.mesh" scale=0 position="44000,90,0"/>
             <Model mesh="cube.mesh" scale=0 position="47000,120,30"/>
             <Model mesh="cube.mesh" scale=0 position="50000,0,100"/>
-            <Model mesh="cube.mesh" scale=0 position="51000,0,0"/>
+            <Model mesh="cube.mesh" scale=0 position="53000,0,0"/>
 
             
+
+
+           
 
                 </gpspoints>
Index: /code/branches/RacingBots_FS18/data/levels/templates/fastship.oxt
===================================================================
--- /code/branches/RacingBots_FS18/data/levels/templates/fastship.oxt	(revision 11976)
+++ /code/branches/RacingBots_FS18/data/levels/templates/fastship.oxt	(revision 11977)
@@ -25,7 +25,7 @@
 
 
-   boostPower            = 8  
+   boostPower            = 7.5  
    boostPowerRate        = 3
-   boostRate             = 8  
+   boostRate             = 7.5
    boostCooldownDuration = 6
 
Index: /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc
===================================================================
--- /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11976)
+++ /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11977)
@@ -125,5 +125,5 @@
         {
             engine->setActive(false);
-            engine->setAccelerationFront(100.0f);
+            engine->addSpeedMultiply(1.7);
         }
 
@@ -186,8 +186,10 @@
     void SpaceRace::end()
     {
+        
         this->clock_.capture();
         int s = this->clock_.getSeconds();
         int ms = static_cast<int>(this->clock_.getMilliseconds() - 1000*s);
         std::string message;
+        message = multi_cast<std::string>(s)+"You could not reach the last checkpoint before your opponents. YOU LOOSE!";
 
         if (this->bTimeIsUp_)
@@ -196,6 +198,5 @@
                         + "You loose!";
         }
-        else if(this->bLost)
-            message = multi_cast<std::string>(s)+"You could not reach the last checkpoint before your opponents. YOU LOOSE!";
+       
         else
         {
@@ -203,4 +204,5 @@
                         + "." + multi_cast<std::string>(ms) + " seconds.";
         }
+        
         if (!this->hasEnded())
         {
Index: /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc	(revision 11976)
+++ /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc	(revision 11977)
@@ -107,5 +107,12 @@
         return returnVec;
     }
-
+    void SpaceRaceController::endtheGame() const {
+        SpaceRace* gametype = orxonox_cast<SpaceRace*>(this->getGametype());
+        assert(gametype);
+        if (!gametype)
+        return;
+        gametype->end();
+
+    }
     /*
      * called from 'findStaticCheckpoints'
@@ -179,5 +186,5 @@
 
         }
-        if(minNextRaceCheckPoint == nullptr) orxout()<<"nullptr found @181 SpaceRaceController" << endl;
+        if(minNextRaceCheckPoint == nullptr) {endtheGame(); orxout()<<"nullptr found @181 SpaceRaceController" << endl;}
         return minNextRaceCheckPoint;
     }
@@ -233,16 +240,28 @@
     }
 
+
+
+
+    
+
     RaceCheckPoint* SpaceRaceController::findCheckpoint(int index) const
     {
+        RaceCheckPoint* res = nullptr;
         for (RaceCheckPoint* checkpoint : this->checkpoints_){
             //conclusion: index=20 is not 
             if (checkpoint->getCheckpointIndex() == index){
-                if(checkpoint == nullptr) orxout()<<"returned nullptr @line 234 SpaceRaceController"<<endl;
-                return checkpoint;
-            }
-        }
-
-        return nullptr;
-    }
+                //if(checkpoint == nullptr) orxout()<<"returned nullptr @line 234 SpaceRaceController"<<endl;
+                orxout()<< "index of the checkpoint "<< index <<endl;
+                res = checkpoint;
+                return res;
+            }
+        }
+     if(index>2 )   
+        this->endtheGame();
+
+        return res;
+    }
+    
+
 
     /*RaceCheckPoint* SpaceRaceController::addVirtualCheckPoint( RaceCheckPoint* previousCheckpoint, int indexFollowingCheckPoint , const Vector3& virtualCheckPointPosition )
@@ -299,4 +318,6 @@
     void SpaceRaceController::tick(float dt)
     {
+        
+
         if (this->getControllableEntity() == nullptr || this->getControllableEntity()->getPlayer() == nullptr )
         {
@@ -361,4 +382,5 @@
         // }
 
+        
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
 
Index: /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.h
===================================================================
--- /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.h	(revision 11976)
+++ /code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.h	(revision 11977)
@@ -58,4 +58,6 @@
             RaceCheckPoint* nextPointFind(RaceCheckPoint*);
             RaceCheckPoint* adjustNextPoint();
+            void endtheGame() const;
+
             std::vector<RaceCheckPoint*> findStaticCheckpoints(RaceCheckPoint*, const std::vector<RaceCheckPoint*>&);
             std::vector<RaceCheckPoint*> staticCheckpoints();