Index: code/branches/SuperOrxoBros_FS18/data/levels/SOB.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS18/data/levels/SOB.oxw	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/data/levels/SOB.oxw	(revision 11987)
@@ -39,5 +39,5 @@
 		<SOBFigure>
 			<camerapositions>
-				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+				<CameraPosition position="0,-250,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
 			</camerapositions>
 		</SOBFigure>
@@ -122,7 +122,18 @@
 
 
-
-
-
+					<!-- SOBGumbas undergroundlevel-->
+					<SOBGumba collisionType="dynamic" speed=20 position = "350,0,-70">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,1" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+
+
+						<!-- SOBGumbas groundlevel-->
 					<SOBGumba collisionType="dynamic" speed=40 position = "240,0,0">
 						<attached>
@@ -259,9 +270,29 @@
 					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
-							<BoxCollisionShape position="340,0,-20" halfExtents="345,5,5" />
-						</collisionShapes>
-					</StaticEntity>
-
-
+							<BoxCollisionShape position="140,0,-20" halfExtents="135,5,5" />
+							<BoxCollisionShape position="330,0,-20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="400,0,-20" halfExtents="60,5,5" />
+							<BoxCollisionShape position="530,0,-20" halfExtents="50,5,5" />
+							<BoxCollisionShape position="640,0,-20" halfExtents="40,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+					<!-- Boden 1 Unterirdisch-->
+					<Model mesh="Cube2.12.mesh" position="270,0,-90" scale=10 Pitch=90/> 					<!-- B1.1 -->
+					<Model mesh="Cube2.12.mesh" position="390,0,-90" scale=10 Pitch=90/> 				<!-- B1.2-->
+					
+					<!-- CollisionShape fuer Unterirdisch-->
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="390,0,-80" halfExtents="125,5,5" />
+						 
+						</collisionShapes>
+					</StaticEntity>
+					<StaticEntity collisionType="static" mass='1000000000'>
+						<collisionShapes>
+							 
+							<BoxCollisionShape position="265,0,-80" halfExtents="5,5,5" />
+							<BoxCollisionShape position="510,0,-80" halfExtents="5,5,5" />
+						</collisionShapes>
+					</StaticEntity>
 
 
@@ -316,10 +347,23 @@
 					</SOBQBlock> 
 					
-					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 												<!-- L1.7 -->
+					
+					<SOBTube collisionType="dynamic" cool=1 position="295,5,-23" mass='10000'>
+						<attached>
+													
+							<Model mesh="Rohr.mesh" position="0,0,-12" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						</attached>
+					</SOBTube> 
+					
+					<SOBTube collisionType="dynamic" cool=1 position="475,5,-3" mass='10000'>
+						<attached>
+													<!-- L1.6 -->
+							<Model mesh="Rohr.mesh" position="0,0,-12" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						</attached>
+					</SOBTube> 
+					
+						<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 											<!-- L1.7 -->
 					<!-- Rohre-->
-					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 roll=90 yaw=90 pitch=-90/> 						<!-- L1.8 -->
-					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 roll=90 yaw=90 pitch=-90/>						<!-- L1.9 -->
-					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.10 -->
-					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.11 -->	
+										<!-- L1.8 -->
+									<!-- L1.11 -->	
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30" mass='-1'>
@@ -343,22 +387,27 @@
 							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /> 						<!-- 1.3 -->
 							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
-							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
-							
-
-						</collisionShapes>
-					</StaticEntity>
-
+						
+							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" />						<!-- 1.7 -->
+							
+
+						</collisionShapes>
+					</StaticEntity>
+						<Model mesh="Rohr.mesh" position="395,0,-25" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						<Model mesh="Rohr.mesh" position="585,0,-15" scale=10 roll=90 yaw=90 pitch=-90/> 	
 
 					<StaticEntity collisionType="static" >
-						<collisionShapes>
-							
-
-							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 					<!-- 1.8 -->
-							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
-							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
-							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
-
-						</collisionShapes>
-					</StaticEntity>
+						
+						
+
+						<collisionShapes>
+							
+
+											
+							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						
+												
+							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						
+
+						</collisionShapes>
+					</StaticEntity> 
 
 
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/CMakeLists.txt
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/CMakeLists.txt	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/CMakeLists.txt	(revision 11987)
@@ -3,4 +3,5 @@
   SOBCenterpoint.cc
   SOB.cc
+  SOBTube.cc
   SOBFigure.cc
   SOBItem.cc
@@ -14,4 +15,5 @@
   SOBCoin.cc
   SOBGumbaBoss.cc
+  
 
 )
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOB.cc
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOB.cc	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOB.cc	(revision 11987)
@@ -149,5 +149,5 @@
         //If player has reached end of level
         if (this->figure_ != nullptr && figure_->lvlEnded_) {
-            std::stringstream a;
+            std::stringstream a;setLvl(2);
             if(!newHighscore){
                 a << "Nice! " << getPoints() << " Points in " << (400-getTimeLeft())/2 <<"s.\n\nPress <Space> to restart";
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.cc
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.cc	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.cc	(revision 11987)
@@ -43,4 +43,5 @@
 #include <OgreMath.h>
 
+#include "SOBTube.h"
 #include "SOBMushroom.h"
 #include "SOBGumba.h"
@@ -50,5 +51,4 @@
 #include "SOBFlagstone.h"
 #include "SOBCastlestone.h"
-#include "SOBFireball.h"
 #include "Highscore.h"
 #include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
@@ -72,5 +72,11 @@
         firePressed_        = false;
         collDisZ_           = 0;
-
+        tube                = NULL;
+
+        //Variables for Action in Tube
+        tcol_               = false;
+        tubing              = false; 
+        kkk                 = 0;
+       
         //Times and turning
         timeSinceLastFire_  = 0.0;
@@ -89,5 +95,7 @@
         reachedLvlEndState_ = 0;
 
+        positiontube_=10000;
         // Properties concerning PowerUps and items
+        
         PowerUpCounter_     = 0;
         maxPowerUp_         = 2;
@@ -112,5 +120,8 @@
 
         //Orxocast returns object with casted type if otherObject has that class, and if not a nullptr
+        //SOBTube* test;
+       
         SOBMushroom*    mush        = orxonox_cast<SOBMushroom*>    (otherObject);
+        tube                        = orxonox_cast<SOBTube*>        (otherObject);
         SOBGumba*       gumba       = orxonox_cast<SOBGumba*>       (otherObject);
         SOBGumbaBoss*   gumbaBoss   = orxonox_cast<SOBGumbaBoss*>   (otherObject);
@@ -121,4 +132,5 @@
 
 
+
         //Check if otherObject is a powerup-mushroom
         if (mush != nullptr && !(mush->hasCollided_)) {
@@ -133,11 +145,11 @@
             
             
-        }
-
-        
-
-        //Check if otherObject is a Gumba (that walking enemies)
-
-         else if (gumba != nullptr && gumbaBoss == nullptr && !(gumba->hasCollided_)) {
+        }else if(tube != nullptr && !(tube->hasCollided_)){ //Check if other Object is a tube and set position wher tube is in positiontube_
+            tube->hasCollided_=true;positiontube_=getPosition().x;tcol_=true; //tcol_ used for movedown function in SOBfigure.cc
+                
+
+
+        }else if (gumba != nullptr && gumbaBoss == nullptr && !(gumba->hasCollided_)) {
+            //Check if otherObject is a Gumba (that walking enemies)
 
             //If player jumps on its head, kill the Gumba, else, kill the player
@@ -209,5 +221,7 @@
     return 1;
 }
-
+/*bool SOBFigure::tubeAction(){
+return true;
+}*/
 //Function to spawn the Fireball
 void SOBFigure::spawnFireball() {
@@ -240,8 +254,8 @@
 {
     SUPER(SOBFigure, tick, dt);
-
+    
 
     bool inputAllowed = true;
-    //SOB* SOBGame = orxonox_cast<SOB*>(getGametype());
+   
 
     //the particle spawner that generates the fire from the backpack when pressed
@@ -291,5 +305,5 @@
             velocity.y = 0;
         //If player falls in a hole
-        if (position.z < -100) {
+        if (position.z < -180) {
             dead_ = true;
             SOBGame->setDone(true);
@@ -355,9 +369,39 @@
 
         //If moveUp pressed, fire a fireball
-        if(moveUpPressed_ && (PowerUpCounter_ >= FireballPower) && fireallowed_)
+        if(moveUpPressed_ && inputAllowed) //if pressed up jump through tube if you are underground
         {
+            Vector3 position1 = getPosition();
+
+              
+                
+                
+                if(position1.z>=-100 && position1.z<=-40){
+                    position1.z=40;
+                    if(460<=position1.x && position1.x<480){setPosition(position1);}  //little hack works without this but first tube must be touched     //position where second tube is
+                    if(positiontube_-10<=position1.x && position1.x<positiontube_+10){      //function for jumping through any SOBtube`s
+                    setPosition(position1);}}
+
+
+            if((PowerUpCounter_ >= FireballPower) && fireallowed_){
             spawnFireball();
+
             fireallowed_  = false;
-            firecooldown_ = 0;
+            firecooldown_ = 0;}
+        }
+        
+         if(moveDownPressed_ && inputAllowed ){ //if movedownpressed change collisiontype of tube and slip through tube
+                
+              
+                Vector3 position1 = getPosition();
+              
+
+               
+            
+               if(tube != nullptr && !(tube->movedown)){ //Check if other Object is a tube
+               
+                if(positiontube_-10<position1.x && position1.x<positiontube_+10){
+                tube->movedown=true;}
+                }
+   
         }
 
@@ -419,4 +463,5 @@
     moveLeftPressed_    = false;
     moveRightPressed_   = false;
+    
 
     isColliding_ = false;
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.h
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.h	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBFigure.h	(revision 11987)
@@ -32,4 +32,5 @@
 #include "superorxobros/SOBPrereqs.h"
 #include "worldentities/ControllableEntity.h"
+#include "SOBTube.h"
 
 
@@ -58,6 +59,10 @@
             //Soooo many declarations
             bool fireallowed_;
-
-            bool moveUpPressed_;
+            SOBTube*       tube; //class SOBTube* used because tube needs to be global using in collides against function and tick function in SOBfigure.cc
+            bool moveUpPressed_; 
+            int kkk;
+           
+            bool tcol_;  //used for getting through tube
+            bool tubing; //used for getting through tube 
             bool moveDownPressed_;
             bool moveLeftPressed_;
@@ -68,4 +73,5 @@
             float lastSpeed_z;
             float firecooldown_;
+            float positiontube_;
             bool isColliding_;
             WorldEntity* particlespawner_;
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBGumba.cc
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBGumba.cc	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBGumba.cc	(revision 11987)
@@ -106,5 +106,5 @@
     {
         SUPER(SOBGumba, tick, dt);
-
+       
         if (!changeAllowed_) {
             changedOn_+= dt;
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBItem.h
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBItem.h	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBItem.h	(revision 11987)
@@ -49,5 +49,4 @@
             virtual void setFigure(SOBFigure* newFigure);
             virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
-
           
             bool attachedToFigure_;
Index: code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBPrereqs.h
===================================================================
--- code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBPrereqs.h	(revision 11986)
+++ code/branches/SuperOrxoBros_FS18/src/modules/superorxobros/SOBPrereqs.h	(revision 11987)
@@ -80,4 +80,5 @@
     class SOBCastlestone;
     class SOBCoin;
+    class SOBTube;
 
 }